<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.admin.variables.variable_list' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-4 col-xl-4 form-group text-left">
                <label>{{'epdb.admin.variables.variabel_type' | translate}}</label>
                <select name="oStatus" class="form-control" (change)="changetable($event.target.value)" [(ngModel)]="categoryId">
                    <option value="">-- {{'general.select' | translate}} --</option>
                    <option *ngFor="let item of variablecategory" value={{item.Parent}}>{{item.Parent}}</option>
                </select>
            </div>
            <div class="col-md-6 col-xl-6"></div>
            <div class="col-md-2 col-xl-2 form-group mt-4 text-right ">
                <button *ngIf="accesAddBtn" type="button" [routerLink]="['/admin/variables/variables-add']" class="btn btn-primary btn-md text-center ">
                    <i class="icofont icofont-ui-add"></i>{{'epdb.admin.variables.btn_add_variable' | translate}}
                </button>
            </div>
            <!-- <div class="mt-5 col-md-12 col-xl-12 form-group">
                <h4>{{title}}</h4>
            </div> -->
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6" *ngIf="title!=''">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6" *ngIf="title!=''">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterVariable : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder" *ngIf="title!=''">
                    <thead>
                        <tr>
                            <!-- <th width="20%">
                                <mfDefaultSorter by="variable_id">{{'epdb.admin.variables.id' | translate}}</mfDefaultSorter>
                            </th> -->
                            <th width="30%">
                                <mfDefaultSorter by="Key">{{'epdb.admin.variables.key' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="60%">
                                <mfDefaultSorter by="KeyValue">{{'epdb.admin.variables.value' | translate}}</mfDefaultSorter>
                            </th>
                            <!-- <th width="20%">
                                <mfDefaultSorter by="variable_key">{{'epdb.admin.variables.key' | translate}}</mfDefaultSorter>
                            </th> -->
                            <th width="10%" *ngIf="accesUpdateBtn || accesDeleteBtn">{{'general.action' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of mf.data">
                            <td>{{item.Key}}</td>
                            <td>{{item.KeyValue}}</td>
                            <!-- <td>{{item.variable_key}}</td> -->
                            <td class="action-icon" *ngIf="accesUpdateBtn || accesDeleteBtn">
                                <!-- <a [routerLink]="['/admin/variables/variables-detail',item.variable_id]" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_view' | translate}}"><i class="icofont icofont-eye-alt"></i></a> -->
                                <a *ngIf="accesUpdateBtn" [routerLink]="['/admin/variables/variables-update',item.Key,categoryId]" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_edit' | translate}}">
                                    <i class="icofont icofont-ui-edit"></i>
                                </a>
                                <a *ngIf="accesDeleteBtn" (click)="openConfirmsSwal(item.Key)" class="text-muted f-18" ngbTooltip="{{'general.tool_tip_delete' | translate}}">
                                    <i class="icofont icofont-delete-alt" style="cursor: pointer"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="6">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="6" class="text-center">{{'general.cant_find_data' | translate}}</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="6" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- modal view detail -->
<app-modal-basic #viewdetailmodal [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">{{'epdb.admin.variables.detail_variable' | translate}}</h4>
        <button type="button" class="close basic-close" (click)="viewdetailmodal.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail!=null">
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'epdb.admin.variables.variable_id' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.variable_id}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'general.date_added' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.cdate.toString().substr(0,10)}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'general.admin_added' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.cuid}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'epdb.admin.variables.variable_category' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.variable_category}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'epdb.admin.variables.key' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.variable_key}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'epdb.admin.variables.value' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.variable_value}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{'general.status' | translate}}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.status}}</label>
            </div>
        </div>
    </div>
</app-modal-basic>
<!-- end modal view detail -->